Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.rtf.rtflib.rtfdoc
Interface IRtfParagraphContainer

All Known Implementing Classes:
  org.apache.fop.render.rtf.rtflib.rtfdoc.RtfAfterBeforeBase, RtfListItem, RtfSection, RtfTableCell

public interface IRtfParagraphContainer

Interface for RtfElements that can contain RtfParagraphs

Author:
  Bertrand Delacretaz bdelacretaz@codeconsult.ch

Method Summary
`RtfParagraph` | `newParagraph()` Close current paragraph, if any, and start a new one with default attributes.
`RtfParagraph` | `newParagraph(RtfAttributes attr)` Close current paragraph, if any, and start a new one with specified attributes

Method Detail

### newParagraph

    public RtfParagraph newParagraph()
                              throws java.io.IOException

  Close current paragraph, if any, and start a new one with default attributes.

  Returns:
    new paragraph object
  Throws:
    `java.io.IOException` - for I/O problems.

### newParagraph

    public RtfParagraph newParagraph(RtfAttributes attr)
                              throws java.io.IOException

  Close current paragraph, if any, and start a new one with specified attributes

  Parameters:
    `attr` - attributes for new paragraph
  Returns:
    new paragraph object
  Throws:
    `java.io.IOException` - for I/O problems.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.